
Installer - Feature #30436

As a developer I'd like to set the exportable paths via installer

07/18/2020 03:52 AM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Jeremy Lenz   

Category: Foreman modules   

Target version: 2.3.1   

Difficulty:  Fixed in Releases: 2.3.1, 2.4.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy_content/pull/304,

https://github.com/theforeman/puppet-pul

pcore/pull/147,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/297

  

Description

We need to be able to add to /etc/pulp/settings.py

ALLOWED_EXPORT_PATHS = ["/var/lib/pulp/katello-exports"] 

 Add the appropriate installer options

Reference:

https://github.com/theforeman/puppet-pulpcore/commit/f59265ebb9fbe9cceddad37400849f8935538d1e

Related issues:

Blocks Katello - Tracker #29977: Import/Export Stories Resolved

Associated revisions

Revision 444d12af - 12/02/2020 01:26 AM - Jeremy Lenz

Fixes #30436 - add allowed_export_paths to settings.py

Revision 1548bca7 - 12/02/2020 01:26 AM - Jeremy Lenz

Refs #30436 - split up changes per PR comments

Revision a08100b3 - 12/02/2020 01:26 AM - Jeremy Lenz

Refs #30436 - address comments

Revision 706c80fa - 12/02/2020 01:26 AM - Jeremy Lenz

Refs #30436 - update test

Revision f2710729 - 12/02/2020 01:26 AM - Jeremy Lenz

Refs #30436 - address comment comments

Revision 26ea9a04 - 12/02/2020 01:26 AM - Jeremy Lenz

Refs #30436 - move tests

Revision ca43d25e - 12/07/2020 02:15 PM - Jeremy Lenz

Refs #30436 - Add import/export params

History
https://github.com/theforeman/puppet-pulpcore/commit/f59265ebb9fbe9cceddad37400849f8935538d1e


#1 - 07/18/2020 03:57 AM - Partha Aji

Also check out https://docs.pulpproject.org/settings.html#allowed-export-paths

#2 - 07/18/2020 03:59 AM - Partha Aji

Note you will also have to set the permissions/ownershjp to apache:pulp for the directories you are creating and allowing as export locations.

#3 - 07/22/2020 05:56 PM - Chris Roberts

- Project changed from Katello to Installer

- Category deleted (Installer)

#4 - 07/23/2020 11:46 AM - Ewoud Kohl van Wijngaarden

- Tracker changed from Bug to Feature

- Category set to Foreman modules

- Triaged changed from No to Yes

#5 - 10/14/2020 04:31 PM - Partha Aji

- Blocks Tracker #29977: Import/Export Stories added

#6 - 11/11/2020 08:32 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Jeremy Lenz

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/147 added

#7 - 11/17/2020 08:18 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/297 added

#8 - 11/17/2020 09:01 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/615 added

#9 - 12/02/2020 02:01 AM - Jeremy Lenz

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|444d12af6298d2ce6fdba8c934b1ba9ce0728945.

#10 - 12/02/2020 02:22 PM - Ewoud Kohl van Wijngaarden

- Target version set to 2.3.1

#11 - 12/07/2020 02:05 PM - Tomer Brisker

- Fixed in Releases 2.4.0 added

#12 - 12/07/2020 02:06 PM - Tomer Brisker

- Pull request deleted (https://github.com/theforeman/foreman-installer/pull/615)

- Fixed in Releases deleted (2.4.0)

#13 - 12/07/2020 02:36 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/304 added

#14 - 12/08/2020 02:54 PM - Tomer Brisker

- Fixed in Releases 2.3.1, 2.4.0 added

#15 - 12/10/2020 10:46 AM - Tomer Brisker

- Subject changed from As a developer I 'd like to set the exportable paths via installer to As a developer I'd like to set the exportable paths via installer
